> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /modelscope/studios/search

> Search ModelScope studios (Gradio/Streamlit apps)

**Price:** 5 credits per 20 results



## OpenAPI

````yaml /openapi/developer-data.json post /api/modelscope/studios/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/modelscope/studios/search:
    post:
      tags:
        - /modelscope
      summary: /modelscope/studios/search
      description: |-
        Search ModelScope studios (Gradio/Streamlit apps)

        **Price:** 5 credits per 20 results
      operationId: __api_modelscope_studios_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelScopeStudioSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelScopeStudio'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ModelScopeStudioSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        create_type:
          anyOf:
            - items:
                $ref: '#/components/schemas/ModelScopeStudioCreateType'
              type: array
            - type: 'null'
        sort:
          $ref: '#/components/schemas/ModelScopeStudioSort'
          default: trending
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    ModelScopeStudio:
      properties:
        '@type':
          type: string
          default: ModelScopeStudio
        id:
          type: string
        url:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        owner:
          anyOf:
            - type: string
            - type: 'null'
        chinese_name:
          anyOf:
            - type: string
            - type: 'null'
        like_count:
          anyOf:
            - type: integer
            - type: 'null'
        download_count:
          anyOf:
            - type: integer
            - type: 'null'
        predict_count:
          anyOf:
            - type: integer
            - type: 'null'
        visit_count:
          anyOf:
            - type: integer
            - type: 'null'
        unique_visitor_count:
          anyOf:
            - type: integer
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
        domain:
          items:
            type: string
          type: array
          default: []
        license:
          anyOf:
            - type: string
            - type: 'null'
        studio_type:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        sdk_type:
          anyOf:
            - type: string
            - type: 'null'
        sdk_version:
          anyOf:
            - type: string
            - type: 'null'
        app_url:
          anyOf:
            - type: string
            - type: 'null'
        is_published:
          type: boolean
          default: false
        is_mcp_server:
          type: boolean
          default: false
        is_login_required:
          type: boolean
          default: false
        visibility:
          anyOf:
            - type: integer
            - type: 'null'
        revision:
          anyOf:
            - type: string
            - type: 'null'
        created_by:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        deployed_at:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        cover:
          anyOf:
            - type: string
            - type: 'null'
        related_paper_ids:
          items:
            type: integer
          type: array
          default: []
        organization:
          anyOf:
            - $ref: '#/components/schemas/ModelScopeOrganization'
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ModelScopeStudioCreateType:
      type: string
      enum:
        - interactive
        - programmatic
    ModelScopeStudioSort:
      type: string
      enum:
        - trending
        - downloads
        - likes
    ModelScopeOrganization:
      properties:
        '@type':
          type: string
          default: ModelScopeOrganization
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        full_name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        github_url:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````